Package twisted :: Package web :: Module client :: Class HTTPPageDownloader

[show private | hide private]
[frames | no frames]

## Class HTTPPageDownloader

    BaseProtocol --+
                   |
            Protocol --+
                       |
            LineReceiver --+
                           |
                  HTTPClient --+
                               |
                  HTTPPageGetter --+
                                   |
                                  HTTPPageDownloader

Method Summary
| ``connectionFailed`(self)` (Deprecated) (inherited from `Protocol`)
| ``connectionLost`(self, reason)` Called when the connection is shut down. (inherited from `HTTPPageGetter`)
| ``connectionMade`(self)` Called when a connection is made. (inherited from `HTTPPageGetter`)
| ``dataReceived`(self, data)` Protocol.dataReceived. (inherited from `LineReceiver`)
| `endHeaders(self)` (inherited from `HTTPClient`)
| `handleEndHeaders(self)` (inherited from `HTTPPageGetter`)
| `handleHeader(self, key, value)` (inherited from `HTTPPageGetter`)
| `handleResponse(self, response)` (inherited from `HTTPPageGetter`)
| `handleResponseEnd(self)`
| `handleResponsePart(self, data)`
| `handleStatus(self, version, status, message)` (inherited from `HTTPPageGetter`)
| `handleStatus_200(self)`
| `handleStatus_301(self)` (inherited from `HTTPPageGetter`)
| `handleStatus_302(self)` (inherited from `HTTPPageGetter`)
| `handleStatusDefault(self)` (inherited from `HTTPPageGetter`)
| ``lineLengthExceeded`(self, line)` Called when the maximum line length has been reached. (inherited from `LineReceiver`)
| ``lineReceived`(self, line)` Override this for when each line is received. (inherited from `HTTPClient`)
| ``makeConnection`(self, transport)` Make a connection to a transport and a server. (inherited from `BaseProtocol`)
| ``rawDataReceived`(self, data)` Override this for when raw data is received. (inherited from `HTTPClient`)
| `sendCommand(self, command, path)` (inherited from `HTTPClient`)
| `sendHeader(self, name, value)` (inherited from `HTTPClient`)
| ``sendLine`(self, line)` Sends a line to the other end of the connection. (inherited from `LineReceiver`)
| ``setLineMode`(self, extra)` Sets the line-mode of this receiver. (inherited from `LineReceiver`)
| ``setRawMode`(self)` Sets the raw mode of this receiver. (inherited from `LineReceiver`)

Class Variable Summary
`int` | `transmittingPage`

Class Variable Details

### transmittingPage

  Type:
    `int`
  Value:

        0

Generated by Epydoc 1.1 on Sat Feb 15 21:19:27 2003 | http://epydoc.sf.net